> For the complete documentation index, see [llms.txt](https://docs.volven.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.volven.io/api/volven-api/strategy-api/strategy-action-controller.md).

# Strategy Action Controller

## PUT /strategies/{strategyAppId}/action/stop

> Stop a strategy

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/{strategyAppId}/action/stop":{"put":{"tags":["strategy-action-controller"],"summary":"Stop a strategy","operationId":"stopStrategy","parameters":[{"name":"strategyAppId","in":"path","required":true,"schema":{"type":"string"}},{"name":"se-api-version","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## PUT /strategies/{strategyAppId}/action/start

> Start a strategy

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/{strategyAppId}/action/start":{"put":{"tags":["strategy-action-controller"],"summary":"Start a strategy","operationId":"startStrategy","parameters":[{"name":"strategyAppId","in":"path","required":true,"schema":{"type":"string"}},{"name":"se-api-version","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## PUT /strategies/{strategyAppId}/action/schedule-opening-pause

> Schedule opening pause for a strategy

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"ScheduleOpeningPause":{"properties":{"fromTime":{"type":"string","format":"date-time"},"toTime":{"type":"string","format":"date-time"}},"required":["fromTime","toTime"]},"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/{strategyAppId}/action/schedule-opening-pause":{"put":{"tags":["strategy-action-controller"],"summary":"Schedule opening pause for a strategy","operationId":"scheduleOpeningPause","parameters":[{"name":"strategyAppId","in":"path","required":true,"schema":{"type":"string"}},{"name":"se-api-version","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduleOpeningPause"}}},"required":true},"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## PUT /strategies/{strategyAppId}/action/pause

> Pause a strategy

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/{strategyAppId}/action/pause":{"put":{"tags":["strategy-action-controller"],"summary":"Pause a strategy","operationId":"pauseStrategy","parameters":[{"name":"strategyAppId","in":"path","required":true,"schema":{"type":"string"}},{"name":"se-api-version","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## PUT /strategies/{strategyAppId}/action/flush

> Flush strategy's open positions

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"FlushPosition":{"properties":{"longPositionTargetPercentage":{"type":"number"},"shortPositionTargetPercentage":{"type":"number"}},"required":["longPositionTargetPercentage","shortPositionTargetPercentage"]},"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/{strategyAppId}/action/flush":{"put":{"tags":["strategy-action-controller"],"summary":"Flush strategy's open positions","operationId":"flushStrategy","parameters":[{"name":"strategyAppId","in":"path","required":true,"schema":{"type":"string"}},{"name":"se-api-version","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlushPosition"}}},"required":true},"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## PUT /strategies/resumeAll

> Resume all strategies

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/resumeAll":{"put":{"tags":["strategy-action-controller"],"summary":"Resume all strategies","operationId":"resumeAll","parameters":[{"name":"se-api-version","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## PUT /strategies/pauseAll

> Pause all strategies

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/pauseAll":{"put":{"tags":["strategy-action-controller"],"summary":"Pause all strategies","operationId":"pauseAll","parameters":[{"name":"se-api-version","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## POST /strategies/action/create

> Create new strategy

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"CreateAiRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"aiModelVariant":{"type":"string","description":"Defines which type and variant of AI model should be used.\nVFM6 - Volven Flagship Model ver. 6\nVFM7 - Volven Flagship Model ver. 7\nVFM8 - Volven Flagship Model ver. 8","enum":["VFM6","VFM7","VFM8"]},"aiModelPositionMode":{"type":"string","description":"LONG - model will give long recommendations only (base currency allocation will always stay above or equal to 0)\nSHORT - model will give short recommendations only (base currency allocation will always stay below or equal to 0)\nCOMBINED - model will give both long and short recommendations (base currency allocation can be both positive or negative)","enum":["LONG","SHORT","COMBINED"],"pattern":"LONG|SHORT|COMBINED"},"executionType":{"type":"string","description":"Defines how rebalancing will be executed.\nSMO - Smart Order\nSMO_PL - Smart Order with calculated Price Limit\nSMO_MPL - Smart Order with Price Limit from AI Model\nSMO_FDPL - Smart Order with Futures Dynamic Price Limit (available for futures products only)\nSO_VMO - Strategy Order without Price Limit (Volven Market Order)\nSO_PL - Strategy Order with calculated Price Limit","enum":["SMO","SMO_PL","SMO_MPL","SMO_FDPL","SO_VMO","SO_PL"],"pattern":"SMO|SMO_PL|SMO_MPL|SMO_FDPL|SO_VMO|SO_PL"},"useInitialModelPrice":{"type":"boolean","description":"Whether to use initial AI model execution price instead of last received price."},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"initialBaseCurrencySize":{"type":"number","description":"Initial allocation of base currency that will be used by the strategy for trading","minimum":0},"initialQuoteCurrencyAmount":{"type":"number","description":"Initial allocation of quote currency that will be used by the strategy for trading","minimum":0},"desiredNetProfitPercentage":{"type":"number","description":"When net profit percentage goes above this value then strategy is stopped and position is closed.","maximum":1,"minimum":0.01},"useSpikeProtection":{"type":"boolean"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","initialBaseCurrencySize","initialQuoteCurrencyAmount","productCode","strategyType"]},"alwaysPassive":{"type":"boolean","description":"Whether to set “post only” flag on each order.\nIf the order was rejected by the Exchange then it will be resent with a backoff policy:\n- initial backoff period = 1s\n- backoff period is doubled after each order rejection\n- strategy will be paused after 9 failed attempts"},"ignoreWarnings":{"type":"boolean","description":"If true, action will be performed regardless warnings."},"CreateAloRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"side":{"type":"string","enum":["BUY","SELL"]},"size":{"$ref":"#/components/schemas/size"},"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"executionType":{"type":"string","pattern":"SO|SMO|SC"},"maxActiveTime":{"type":"integer","format":"int32"},"runSmoIfNotFilled":{"type":"boolean"},"aggressiveness":{"type":"number","default":0},"orderMaxSize":{"type":"number"},"takeProfitExecutionType":{"type":"string","pattern":"SO|SMO"},"takeProfitPriceLimit":{"$ref":"#/components/schemas/priceLimit"},"takeProfitAggressiveness":{"type":"number","default":0.5},"takeProfitOrderMaxSize":{"type":"number"},"stopLossExecutionType":{"type":"string","pattern":"SO|SMO"},"stopLossTrigger":{"type":"number","minimum":0},"stopLossPriceLimit":{"$ref":"#/components/schemas/priceLimit"},"stopLossAggressiveness":{"type":"number","default":1},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"reduceOnlyEnabled":{"type":"boolean"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","productCode","side","size","strategyType"]},"size":{"type":"number","description":"Total size to buy/sell.","minimum":0},"priceLimit":{"type":"number","description":"Maximum (for buy side) / minimum (for sell side) price threshold used for every order.","minimum":0},"CreateBcRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"inputs":{"type":"array","items":{"$ref":"#/components/schemas/Input"}},"accountIds":{"type":"array","deprecated":true,"items":{"type":"string","deprecated":true}},"inputCurrencies":{"type":"array","deprecated":true,"items":{"type":"string","deprecated":true}},"inputSizes":{"type":"array","deprecated":true,"items":{"type":"number","deprecated":true}},"outputCurrency":{"type":"string","minLength":1},"includeFiat":{"type":"boolean"},"ignoreImpossibleConversions":{"type":"boolean"},"executor":{"oneOf":[{"$ref":"#/components/schemas/BcExecutorSc"},{"$ref":"#/components/schemas/BcExecutorSmo"},{"$ref":"#/components/schemas/BcExecutorTwap"}]},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["outputCurrency","strategyType"]},"Input":{"properties":{"accountIds":{"type":"array","items":{"type":"string"}},"sourceCurrency":{"type":"string"},"sourceSize":{"type":"number"},"targetCurrency":{"type":"string"},"targetSize":{"type":"number"},"productType":{"type":"string","enum":["SPOT","FUTURES","CFD","SPOT_MARGIN_ISOLATED","SPOT_MARGIN_CROSS"]}},"required":["accountIds","productType","sourceCurrency","targetCurrency"]},"BcExecutorSc":{"allOf":[{"$ref":"#/components/schemas/BcExecutor"},{"type":"object","properties":{"strategyType":{"type":"string"},"aggressiveness":{"type":"number","description":"Used for calculating the price at which orders are being placed. Calculated price = bid + aggressiveness * avg_spread for BUY side or ask - aggressiveness * avg_spread for SELL side."},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"maxActiveTime":{"type":"integer","format":"int32","maximum":900,"minimum":30}}}]},"BcExecutor":{"discriminator":{"propertyName":"strategyType"},"properties":{"strategyType":{"type":"string"}},"required":["strategyType"]},"BcExecutorSmo":{"allOf":[{"$ref":"#/components/schemas/BcExecutor"},{"type":"object","properties":{"strategyType":{"type":"string"},"aggressiveness":{"type":"number","description":"Used for calculating the price at which orders are being placed. Calculated price = bid + aggressiveness * avg_spread for BUY side or ask - aggressiveness * avg_spread for SELL side."},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"orderMaxSize":{"$ref":"#/components/schemas/orderMaxSize"}}}]},"orderMaxSize":{"type":"number","description":"Max size sent in an order at once. (Iceberg)","minimum":0},"BcExecutorTwap":{"allOf":[{"$ref":"#/components/schemas/BcExecutor"},{"type":"object","properties":{"strategyType":{"type":"string"},"aggressiveness":{"type":"number","description":"Used for calculating the price at which orders are being placed. Calculated price = bid + aggressiveness * avg_spread for BUY side or ask - aggressiveness * avg_spread for SELL side."},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"maxActiveTime":{"type":"integer","format":"int32","maximum":86400,"minimum":600}}}]},"CreateBullRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"maxPositionSize":{"type":"number","description":"Passed to every TARB child as max_position_size parameter."},"tempo":{"type":"string","description":"Defines how hourlyVolume should be calculated based on maxPositionSize","minLength":1,"pattern":"LOW|MEDIUM|HIGH"},"useAllowedPositionSize":{"type":"boolean"},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"acceptableNetLossPercentage":{"type":"number","maximum":1,"minimum":0.01},"acceptableDrawdownPercentage":{"type":"number","maximum":1,"minimum":0.01},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","maxPositionSize","productCode","strategyType","tempo"]},"CreateBearRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"maxPositionSize":{"type":"number","description":"Passed to every TARB child as max_position_size parameter."},"tempo":{"type":"string","description":"Defines how hourlyVolume should be calculated based on maxPositionSize","minLength":1,"pattern":"LOW|MEDIUM|HIGH"},"useAllowedPositionSize":{"type":"boolean"},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"acceptableNetLossPercentage":{"type":"number","maximum":1,"minimum":0.01},"acceptableDrawdownPercentage":{"type":"number","maximum":1,"minimum":0.01},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","maxPositionSize","productCode","strategyType","tempo"]},"CreateBoRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"inputs":{"type":"array","items":{"$ref":"#/components/schemas/Input"}},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["strategyType"]},"CreateCoRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"size":{"$ref":"#/components/schemas/size"},"positionMode":{"type":"string","description":"Defines in which direction positions should be opened.\nLONG - long positions only (open with BUY, close with SELL)\nSHORT - short positions only (open with SELL, close with BUY)\nCOMBINED - both long and short positions","enum":["LONG","SHORT","COMBINED"],"pattern":"LONG|SHORT|COMBINED"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","productCode","size","strategyType"]},"CreateCrabRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"side":{"type":"string","enum":["BUY","SELL"]},"size":{"$ref":"#/components/schemas/size"},"stdDevWindow":{"type":"number","default":1012,"description":"Size of moving window (in seconds) used to calculate standard deviation of market price."},"stdDevPercThreshold":{"type":"number","default":0.002,"description":"If relative standard deviation of market price is lower than this value then sideways trend is activated."},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","productCode","side","size","strategyType"]},"CreateDmmRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"hourlyVolume":{"type":"number","description":"Total hourly volume. Half of this value is passed to every TARB child as hourly_volume parameter."},"maxPositionSize":{"type":"number","description":"Passed to every TARB child as max_position_size parameter."},"deviationWindow":{"type":"integer","format":"int32","default":2100,"description":"Size of moving window (in seconds) used to calculate price and volume deviation.","maximum":7200,"minimum":900},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","hourlyVolume","maxPositionSize","productCode","strategyType"]},"CreateOtcqRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"exchangeAccountProducts":{"type":"array","items":{"$ref":"#/components/schemas/ExchangeAccountProduct"}},"side":{"type":"string","enum":["BUY","SELL"]},"size":{"$ref":"#/components/schemas/size"},"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"orderMaxSize":{"$ref":"#/components/schemas/orderMaxSize"},"slippage":{"type":"number","default":0},"stopLossTrigger":{"type":"number"},"stopLossVolumeMode":{"type":"string","default":"OFF","pattern":"OFF|ABSOLUTE|DYNAMIC"},"stopLossVolumeDepth":{"type":"number"},"profitMargin":{"type":"number"},"aggressiveness":{"type":"number"},"estimatedExecution":{"type":"array","items":{"$ref":"#/components/schemas/EstimatedExecution"},"minItems":1},"priceOffsets":{"type":"array","deprecated":true,"items":{"$ref":"#/components/schemas/FeeOffset"}},"feeOffsets":{"type":"array","items":{"$ref":"#/components/schemas/FeeOffset"}},"estimationMode":{"type":"string","default":"VOLUME15M","pattern":"ORDERBOOK|VOLUME15M"},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["estimatedExecution","side","size","strategyType"]},"ExchangeAccountProduct":{"properties":{"exchangeCode":{"type":"string"},"accountId":{"type":"string"},"productCode":{"type":"string"}}},"EstimatedExecution":{"properties":{"accountId":{"type":"string"},"exchangeCode":{"type":"string"},"size":{"type":"number"},"avgPrice":{"type":"number"},"bestOffer":{"type":"number"}}},"FeeOffset":{"properties":{"exchangeCode":{"type":"string"},"offset":{"type":"number"}}},"CreateScRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"side":{"type":"string","enum":["BUY","SELL"]},"size":{"$ref":"#/components/schemas/size"},"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"maxActiveTime":{"type":"integer","format":"int32","maximum":900,"minimum":30},"reduceOnlyEnabled":{"type":"boolean"},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","productCode","side","size","strategyType"]},"CreateSmmRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"side":{"type":"string","enum":["BUY","SELL"]},"size":{"$ref":"#/components/schemas/size"},"orderMaxSize":{"$ref":"#/components/schemas/orderMaxSize"},"lossPercent":{"type":"number","description":"SL in % used in Predicted Order (PO) strategy (current loss is calculated for BUY side as 'ask-hedge/ask' and for SELL side as 'hedge-bid/hedge')","maximum":0.25,"minimum":0},"maxDoublingLevels":{"type":"integer","format":"int32","default":4,"description":"Max number of doubling levels (when reached, no more baits will be sent)","maximum":6,"minimum":0},"hedgeLifeSec":{"type":"integer","format":"int32","default":60,"description":"After how many seconds hedge order should be canceled","maximum":300,"minimum":0},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","productCode","side","size","strategyType"]},"CreateSmoRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"side":{"type":"string","enum":["BUY","SELL"]},"size":{"$ref":"#/components/schemas/size"},"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"orderMaxSize":{"$ref":"#/components/schemas/orderMaxSize"},"aggressiveness":{"type":"number","description":"Used for calculating the price at which orders are being placed. Calculated price = bid + aggressiveness * avg_spread for BUY side or ask - aggressiveness * avg_spread for SELL side."},"useSpikeProtection":{"type":"boolean"},"triggerPrice":{"$ref":"#/components/schemas/triggerPrice"},"reduceOnlyEnabled":{"type":"boolean"},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","productCode","side","size","strategyType"]},"triggerPrice":{"type":"number","description":"When that price is crossed then execution of strategy is triggered. Must be greater or equal to product min price"},"CreateEtfRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"exchangeAccountProducts":{"type":"array","items":{"$ref":"#/components/schemas/ExchangeAccountProduct"}},"side":{"type":"string","enum":["BUY","SELL"]},"size":{"$ref":"#/components/schemas/size"},"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"orderMaxSize":{"$ref":"#/components/schemas/orderMaxSize"},"aggressiveness":{"type":"number","description":"Used for calculating the price at which orders are being placed. Calculated price = bid + aggressiveness * avg_spread for BUY side or ask - aggressiveness * avg_spread for SELL side."},"maxRunningTime":{"type":"integer","format":"int32","maximum":86400,"minimum":600},"numberOfSlices":{"type":"integer","format":"int32","maximum":100,"minimum":3},"sliceExecutionTime":{"type":"integer","format":"int32","minimum":1},"aggressivenessBoostStartOffset":{"type":"integer","format":"int32","deprecated":true},"aggressivenessBoostEndOffset":{"type":"integer","format":"int32","deprecated":true},"initialAggressivenessBoostSeconds":{"type":"integer","format":"int32"},"closingAggressivenessBoostSeconds":{"type":"integer","format":"int32"},"reallocationInterval":{"type":"integer","format":"int32","minimum":1},"slippage":{"type":"number","maximum":0.1,"minimum":0},"priceOffsets":{"type":"array","deprecated":true,"items":{"$ref":"#/components/schemas/FeeOffset"}},"feeOffsets":{"type":"array","items":{"$ref":"#/components/schemas/FeeOffset"}},"volumePercentageAtRisk":{"type":"number","maximum":0.5,"minimum":0},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"useFeeOffsetsCalculation":{"type":"boolean"},"estimationMode":{"type":"string","default":"VOLUME15M","pattern":"ORDERBOOK|VOLUME15M"},"triggerAt":{"type":"string","format":"date-time"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["maxRunningTime","numberOfSlices","side","size","sliceExecutionTime","strategyType"]},"CreateSoRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"side":{"type":"string","enum":["BUY","SELL"]},"size":{"$ref":"#/components/schemas/size"},"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","priceLimit","productCode","side","size","strategyType"]},"CreateTarbRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"side":{"type":"string","enum":["BUY","SELL"]},"size":{"$ref":"#/components/schemas/size"},"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"takeProfitPricePercentage":{"type":"number","description":"Take Profit TWAP’s price_limit param will be updated every time Opening TWAP’s average_price changes. It will be set to average_price * (100% +/- take_profit_price_percentage).","maximum":1,"minimum":0},"stopLossPricePercentage":{"type":"number","description":"Stop Loss TWAP’s price_limit param will be updated every time Opening TWAP’s average_price changes. It will be set to average_price * (100% +/- take_profit_price_percentage).","maximum":1,"minimum":0},"triggerPrice":{"$ref":"#/components/schemas/triggerPrice"},"triggerTime":{"type":"integer","format":"int32","description":"Time after which strategy will start trading","minimum":0},"twapMaxActiveTime":{"type":"integer","format":"int32","maximum":8640000,"minimum":600},"happyLevelLimitOpening":{"type":"number"},"happyLevelLimitTp":{"type":"number"},"reduceOnlyEnabled":{"type":"boolean"},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","productCode","side","size","strategyType","takeProfitPricePercentage"]},"CreateTmmRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"reduceOnlyEnabled":{"type":"boolean"},"hourlyVolume":{"type":"number","description":"Total hourly volume. Half of this value is passed to every TARB child as hourly_volume parameter."},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"maxPositionSize":{"type":"number","description":"Passed to every TARB child as max_position_size parameter."},"happyLevelPositionPercentage":{"type":"number","maximum":1,"minimum":0},"takeProfitPricePercentage":{"type":"number","maximum":1,"minimum":0},"volumePercentageAtRisk":{"type":"number","maximum":1,"minimum":0.01},"usePositionRebalancing":{"type":"boolean"},"positionNetting":{"type":"number","deprecated":true,"maximum":1,"minimum":0},"longPositionRebalancingThreshold":{"type":"number","maximum":1,"minimum":0},"shortPositionRebalancingThreshold":{"type":"number","maximum":1,"minimum":0},"lowVolatilityMode":{"type":"string","default":"NONE","description":"Defines which child strategy type should be active during low volatility market.","pattern":"NONE|TARB|CRAB"},"lowVolatilityThreshold":{"type":"string","pattern":"LOW|MEDIUM|HIGH"},"stdDevPercThreshold":{"type":"number"},"deviationWindow":{"type":"integer","format":"int32","default":2100,"description":"Size of moving window (in seconds) used to calculate price and volume deviation.","maximum":7200,"minimum":900},"useTargetVolumeFromParent":{"type":"boolean"},"acceptableNetLossPercentage":{"type":"number","maximum":1,"minimum":0.01},"acceptableDrawdownPercentage":{"type":"number","maximum":1,"minimum":0.01},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","hourlyVolume","maxPositionSize","productCode","strategyType"]},"CreateTwapRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"side":{"type":"string","enum":["BUY","SELL"]},"size":{"$ref":"#/components/schemas/size"},"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"happyLevelLimit":{"type":"number"},"triggerPrice":{"$ref":"#/components/schemas/triggerPrice"},"triggerTime":{"type":"integer","format":"int32","description":"Time when strategy will be started, up 4 hours","minimum":0},"maxActiveTime":{"type":"integer","format":"int32","maximum":8640000,"minimum":600},"reduceOnlyEnabled":{"type":"boolean"},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","productCode","side","size","strategyType"]},"CreateAlsRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountId":{"type":"string","minLength":1},"positionMode":{"type":"string","enum":["LONG","SHORT","COMBINED"]},"maxPositionSize":{"type":"number"},"aggressiveness":{"type":"number","default":0},"orderMaxSize":{"$ref":"#/components/schemas/orderMaxSize"},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountId","maxPositionSize","positionMode","productCode","strategyType"]},"CreateAhRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"cryptoAccountId":{"type":"string","minLength":1},"forexAccountId":{"type":"string"},"baits":{"type":"array","items":{"$ref":"#/components/schemas/Bait"}},"quoteCurrency":{"type":"string"},"runMode":{"type":"string","enum":["INSTANT","BACKGROUND"]},"maxProductImbalances":{"type":"array","items":{"$ref":"#/components/schemas/MaxProductImbalance"}},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"aggressiveness":{"type":"number"},"orderMaxValue":{"type":"number"},"maxOrderLifetime":{"type":"integer","format":"int32"},"fairPriceMargin":{"type":"number"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["cryptoAccountId","strategyType"]},"Bait":{"properties":{"productCode":{"type":"string"},"side":{"type":"string","enum":["BUY","SELL"]},"size":{"type":"number"},"value":{"type":"number"}},"required":["productCode","side","size","value"]},"MaxProductImbalance":{"properties":{"productCode":{"type":"string"},"maxImbalance":{"type":"number"}},"required":["maxImbalance","productCode"]},"CreateCtRequest":{"properties":{"strategyId":{"type":"string"},"strategyType":{"type":"string","minLength":1},"productCode":{"type":"string","minLength":1},"accountSizes":{"type":"array","items":{"$ref":"#/components/schemas/AccountSize"},"minItems":1},"side":{"type":"string","enum":["BUY","SELL"]},"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"orderMaxSize":{"$ref":"#/components/schemas/orderMaxSize"},"aggressiveness":{"type":"number","description":"Used for calculating the price at which orders are being placed. Calculated price = bid + aggressiveness * avg_spread for BUY side or ask - aggressiveness * avg_spread for SELL side."},"useSpikeProtection":{"type":"boolean"},"triggerPrice":{"$ref":"#/components/schemas/triggerPrice"},"reduceOnlyEnabled":{"type":"boolean"},"alwaysPassive":{"$ref":"#/components/schemas/alwaysPassive"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"},"autoRun":{"type":"boolean"}},"required":["accountSizes","productCode","side","strategyType"]},"AccountSize":{"properties":{"accountId":{"type":"string","minLength":1},"size":{"$ref":"#/components/schemas/size"}},"required":["accountId","size"]},"StrategyResult":{"properties":{"strategyId":{"type":"string"}}},"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/action/create":{"post":{"tags":["strategy-action-controller"],"summary":"Create new strategy","operationId":"createStrategy","requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/CreateAiRequest"},{"$ref":"#/components/schemas/CreateAloRequest"},{"$ref":"#/components/schemas/CreateBcRequest"},{"$ref":"#/components/schemas/CreateBullRequest"},{"$ref":"#/components/schemas/CreateBearRequest"},{"$ref":"#/components/schemas/CreateBoRequest"},{"$ref":"#/components/schemas/CreateCoRequest"},{"$ref":"#/components/schemas/CreateCrabRequest"},{"$ref":"#/components/schemas/CreateDmmRequest"},{"$ref":"#/components/schemas/CreateOtcqRequest"},{"$ref":"#/components/schemas/CreateScRequest"},{"$ref":"#/components/schemas/CreateSmmRequest"},{"$ref":"#/components/schemas/CreateSmoRequest"},{"$ref":"#/components/schemas/CreateEtfRequest"},{"$ref":"#/components/schemas/CreateSoRequest"},{"$ref":"#/components/schemas/CreateTarbRequest"},{"$ref":"#/components/schemas/CreateTmmRequest"},{"$ref":"#/components/schemas/CreateTwapRequest"},{"$ref":"#/components/schemas/CreateAlsRequest"},{"$ref":"#/components/schemas/CreateAhRequest"},{"$ref":"#/components/schemas/CreateCtRequest"}]}}},"required":true},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StrategyResult"}}}},"400":{"description":"","content":{"*/*":{}}},"422":{"description":"Strategy cannot be created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Modify a strategy

> Parameters depends on strategy type. PATCH behavior\
> \- "foo" : null  -> foo := null\
> \- missing "foo" -> foo left unchanged<br>

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"ModifySoRequest":{"properties":{"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"priceLimit":{"type":"number","description":"Maximum (for buy side) / minimum (for sell side) price threshold used for every order.","minimum":0},"ignoreWarnings":{"type":"boolean","description":"If true, action will be performed regardless warnings."},"ModifySmoRequest":{"properties":{"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"orderMaxSize":{"$ref":"#/components/schemas/orderMaxSize"},"aggressiveness":{"type":"number","default":0,"description":"Used for calculating the price at which orders are being placed. Calculated price = bid + aggressiveness * avg_spread for BUY side or ask - aggressiveness * avg_spread for SELL side.","maximum":1,"minimum":-100},"triggerPrice":{"$ref":"#/components/schemas/triggerPrice"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"orderMaxSize":{"type":"number","description":"Max size sent in an order at once. (Iceberg)","minimum":0},"triggerPrice":{"type":"number","description":"When that price is crossed then execution of strategy is triggered. Must be greater or equal to product min price"},"ModifyScRequest":{"properties":{"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"ModifyTwapRequest":{"properties":{"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"happyLevelLimit":{"type":"number"},"triggerPrice":{"$ref":"#/components/schemas/triggerPrice"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"ModifyTarbRequest":{"properties":{"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"happyLevelLimitOpening":{"type":"number"},"happyLevelLimitTp":{"type":"number"},"triggerPrice":{"$ref":"#/components/schemas/triggerPrice"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"ModifyAloRequest":{"properties":{"priceLimit":{"$ref":"#/components/schemas/priceLimit"},"aggressiveness":{"type":"number"},"orderMaxSize":{"type":"number"},"takeProfitPriceLimit":{"$ref":"#/components/schemas/priceLimit"},"takeProfitAggressiveness":{"type":"number"},"takeProfitOrderMaxSize":{"type":"number"},"stopLossPriceLimit":{"$ref":"#/components/schemas/priceLimit"},"stopLossTrigger":{"$ref":"#/components/schemas/priceLimit"},"stopLossAggressiveness":{"type":"number"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"ModifyTmmRequest":{"properties":{"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"ModifyDmmRequest":{"properties":{"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"ModifySmmRequest":{"properties":{"size":{"type":"number"},"orderMaxSize":{"$ref":"#/components/schemas/orderMaxSize"},"lossPercent":{"type":"number"},"maxDoublingLevels":{"type":"integer","format":"int32"},"hedgeLifeSec":{"type":"integer","format":"int32"},"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"ModifyCrabRequest":{"properties":{"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"ModifyBullRequest":{"properties":{"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"ModifyBearRequest":{"properties":{"ignoreWarnings":{"$ref":"#/components/schemas/ignoreWarnings"}}},"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/{strategyAppId}/action/modify":{"patch":{"tags":["strategy-action-controller"],"summary":"Modify a strategy","description":"Parameters depends on strategy type. PATCH behavior\n- \"foo\" : null  -> foo := null\n- missing \"foo\" -> foo left unchanged\n","operationId":"modifyStrategy","parameters":[{"name":"strategyAppId","in":"path","required":true,"schema":{"type":"string"}},{"name":"se-api-version","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ModifySoRequest"},{"$ref":"#/components/schemas/ModifySmoRequest"},{"$ref":"#/components/schemas/ModifyScRequest"},{"$ref":"#/components/schemas/ModifyTwapRequest"},{"$ref":"#/components/schemas/ModifyTarbRequest"},{"$ref":"#/components/schemas/ModifyAloRequest"},{"$ref":"#/components/schemas/ModifyTmmRequest"},{"$ref":"#/components/schemas/ModifyDmmRequest"},{"$ref":"#/components/schemas/ModifySmmRequest"},{"$ref":"#/components/schemas/ModifyCrabRequest"},{"$ref":"#/components/schemas/ModifyBullRequest"},{"$ref":"#/components/schemas/ModifyBearRequest"}]}}},"required":true},"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## DELETE /strategies/{strategyAppId}/action/delete

> Delete a strategy

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/{strategyAppId}/action/delete":{"delete":{"tags":["strategy-action-controller"],"summary":"Delete a strategy","operationId":"deleteStrategy","parameters":[{"name":"strategyAppId","in":"path","required":true,"schema":{"type":"string"}},{"name":"se-api-version","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## DELETE /strategies/deleteAll

> Delete all strategies

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategies/deleteAll":{"delete":{"tags":["strategy-action-controller"],"summary":"Delete all strategies","operationId":"deleteAll","parameters":[{"name":"se-api-version","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.volven.io/api/volven-api/strategy-api/strategy-action-controller.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
